# latency

A tracing module that determines src-to-sink latencies by injecting custom events at sources and process them at sinks. This elements supports tracing the entire pipeline latency and per element latency. By default, only pipeline latency is traced. The 'flags' parameter can be used to enabled element tracing and/or the latency reported by each element.

    GST_TRACERS="latency(flags=pipeline+element+reported)" GST_DEBUG=GST_TRACER:7 ./...

## GstLatencyTracer

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstTracer
                    ╰──GstLatencyTracer

Opaque GstLatencyTracer data structure

Since : 1.8

### Properties

#### flags

    “flags” GstLatencyTracerFlags*

Flags to control what latency measurements to perform

Flags : Read / Write / Construct Only

Default value : pipeline

The results of the search are